import { AdaptableStyle } from '../PredefinedConfig/Common/AdaptableStyle';
import { QuickSearchState } from '../PredefinedConfig/QuickSearchState';
/**
 * Provides run-time access to Quick Search Module
 */
export interface QuickSearchApi {
    /**
     * Retrieves Quick Search section from Adaptable State
     */
    getQuickSearchState(): QuickSearchState;
    /**
     * Runs Quick Search using supplied text
     * @param quickSearchText text to run QuickSearch on
     */
    runQuickSearch(quickSearchText: string): void;
    /**
     * Clears Quick Search
     */
    clearQuickSearch(): void;
    /**
     * Retrieves current Quick Search text
     */
    getQuickSearchValue(): string;
    /**
     *  Retrieves current Quick Search style
     */
    getQuickSearchStyle(): AdaptableStyle;
    /**
     * Sets style for Quick Search; can be name of (a provided) css style
     * @param style the style to use
     */
    setQuickSearchStyle(style: AdaptableStyle): void;
    /**
     * Opens Settings Panel with Quick Search section selected and visible
     */
    openQuickSearchSettingsPanel(): void;
    /**
     * Opens the Floating Quick Search
     */
    showFloatingQuickSearch(): void;
    /**
     * Hides the floating Quick Search
     */
    hideFloatingQuickSearch(): void;
}
